Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 391827 - net-analyzer/nagios-check_logfiles-3.6.2.1 version bump
Summary: net-analyzer/nagios-check_logfiles-3.6.2.1 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrew Hamilton
URL: http://labs.consol.de/nagios/check_lo...
Whiteboard:
Keywords: EBUILD
: 257391 (view as bug list)
Depends on:
Blocks: 518490
  Show dependency tree
 
Reported: 2011-11-24 22:55 UTC by amette
Modified: 2015-11-13 01:59 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for net-analyzer/nagios-check_logfiles-3.4.5.2 (nagios-check_logfiles-3.4.5.2.ebuild,911 bytes, text/plain)
2011-11-24 22:59 UTC, amette
Details
nagios-check_logfiles-3.6.2.1.ebuild (nagios-check_logfiles-3.6.2.1.ebuild,797 bytes, text/plain)
2014-09-21 10:38 UTC, Jeroen Roovers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description amette 2011-11-24 22:55:43 UTC
Brilliant Nagios plugin, more than three years of development not in Portage, please upgrade.

Reproducible: Always
Comment 1 amette 2011-11-24 22:59:56 UTC
Created attachment 293673 [details]
ebuild for net-analyzer/nagios-check_logfiles-3.4.5.2
Comment 2 Pacho Ramos gentoo-dev 2012-02-12 11:13:10 UTC
*** Bug 257391 has been marked as a duplicate of this bug. ***
Comment 3 Brian Dolbec gentoo-dev 2014-09-10 19:47:33 UTC
hmm, looking at the site...
http://labs.consol.de/nagios/check_logfiles/

it lists check_logfiles-3.6.2.1.tar.gz as the most recent release.
http://labs.consol.de/download/shinken-nagios-plugins/check_logfiles-3.6.2.1.tar.gz

excerpt from the changelog:

3.6.2.1 – 2014-04-09 fix eventid-format for _tecad_win_
3.6.2 – 2014-04-08 eventlogformat _tecad_win_
3.6.1.1 – 2014-02-04 fix a race-condition (pid file) in unix-daemon-mode (thanks Klaus Wagner)
3.6.1 – 2014-01-25 added search-option “capturegroups”, add forgotten –allyoucaneat
3.6 – 2013-11-14 added global option “nooutputhitcount”, added search-option “thresholdexpiry=”, okpattern resets threshold counters.
...

only thing I could see regarding perl versions in the changelog was:

3.4.6 – 2012-01-04
Eliminate “Use of qw(…) as parentheses is deprecated” warnings in perl 5.14 (Thanks Tommi)
Comment 4 Jeroen Roovers gentoo-dev 2014-09-21 10:38:29 UTC
Created attachment 385228 [details]
nagios-check_logfiles-3.6.2.1.ebuild

--- nagios-check_logfiles-2.3.2.1-r1.ebuild     2012-06-18 20:33:55.000000000 +0200
+++ nagios-check_logfiles-3.6.2.1.ebuild        2014-09-21 12:37:26.158823601 +0200
@@ -2,32 +2,27 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-check_logfiles/nagios-check_logfiles-2.3.2.1-r1.ebuild,v 1.8 2012/06/12 02:31:58 zmedico Exp $

+EAPI=5
 inherit eutils multilib
+
 DESCRIPTION="A nagios plugin for checking logfiles"
 HOMEPAGE="http://www.consol.com/opensource/nagios/check-logfiles"

 MY_P=${P/nagios-/}

-SRC_URI="http://www.consol.com/fileadmin/opensource/Nagios/${MY_P}.tar.gz"
+SRC_URI="http://labs.consol.de/download/shinken-nagios-plugins/check_logfiles-${PV}.tar.gz"
 LICENSE="GPL-3"
 SLOT="0"

-KEYWORDS="~alpha amd64 ~ppc ppc64 ~sparc x86"
-IUSE=""
+KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~sparc ~x86"

-DEPEND=">=net-analyzer/nagios-plugins-1.4.13-r1"
-RDEPEND="${DEPEND}"
+RDEPEND=">=net-analyzer/nagios-plugins-1.4.13-r1"

 S="${WORKDIR}/${MY_P}"

-src_compile() {
+src_configure() {
        econf \
-               --prefix=/usr \
                --libexecdir=/usr/$(get_libdir)/nagios/plugins \
-               --sysconfdir=/etc/nagios || die "econf failed"
-       emake || die "emake failed"
-}
-
-src_install() {
-       emake DESTDIR="${D}" install || die "emake install failed"
+               --prefix=/usr \
+               --sysconfdir=/etc/nagios
 }
Comment 5 Jeroen Roovers gentoo-dev 2014-09-21 10:39:19 UTC
Forgot to fix HOMEPAGE, but here it is.
Comment 6 Josh G 2015-11-09 05:07:41 UTC
Current version is now: 3.7.3.1

I can confirm that Jeroen Roovers' proposed ebuild works perfectly for this version too.
Comment 7 Ian Delaney (RETIRED) gentoo-dev 2015-11-13 01:59:02 UTC
commit b3468101d53ae27595e0d21cd4ba29f066001de9
Author: Nicholas Vinson <nvinson234@gmail.com>
Date:   Thu Nov 12 07:11:22 2015 -0500

    net-analyzer/nagios-check_logfiles: Adding nvinson234@gmail.com as co-proxy
    
-------------------------------------------------------------------

commit bab219b5996a7af00c5cd16fe99adbf380a96a45
Author: Nicholas Vinson <nvinson234@gmail.com>
Date:   Thu Nov 12 06:26:12 2015 -0500

    net-analyzer/nagios-check_logfiles: Adding ebuild for version 3.7.3.1
    
    Obsoletes bug #391827

Set to Fixed rather than obsolete